function LRNSVMvsLR
  C=100;
  xb=[-5 5];
  yb=[-5 5];
  ClassIDs=[1 2];
  
  subplot(2,2,1);
  [X,y]=COMinputmulticlass(xb,yb,ClassIDs);y=2*y-3;
  K=X'*X;
  [klr,BOOLsuccess]=COMkerLRpre(K,C,y);
  [svm,BOOLsuccess]=COMkerSVMpre(K,C,y);
  svm.alphay=svm.alpha.*svm.labels;
  
  h(1)=plotdata(klr,X,y,3,'RLR',xb,yb,'r-');
  h(2)=plotdata(svm,X,y,4,'SVM',xb,yb,'b-');
  
  subplot(2,2,1);title('SVM vs RLR');
  legend(h,'RLR','SVM');COMinvertfig;
end


function h=plotdata(lrn,x,y,plotnum,titlestr,xb,yb,colstr)
  subplot(2,2,plotnum);
  if (isfield(lrn,'svind')), 
    w=x(:,lrn.svind)*lrn.alphay; 
    msize=zeros(size(y));
    msize(lrn.svind)=abs(lrn.alphay);
    msize=1+100*msize./max(msize);
    posind=lrn.svind(find(y(lrn.svind)==+1));
    negind=lrn.svind(find(y(lrn.svind)==-1));          
  else 
    w=x*lrn.alphay;
    msize=abs(lrn.alphay); 
    msize=1+100*msize./max(msize);
    posind=find(y==+1);
    negind=find(y==-1);  
  end;  
  
  COMplotplane(xb,yb,w,lrn.b,'w-');
  COMplotplane(xb,yb,w,lrn.b-1,'b--');
  COMplotplane(xb,yb,w,lrn.b+1,'r--');
  scatter(x(1,negind),x(2,negind),msize(negind),'r','filled');
  scatter(x(1,posind),x(2,posind),msize(posind),'b','filled');
  title(titlestr);
  COMinvertfig;hold off;
  
  subplot(2,2,1);
  hold on;h=COMplotplane(xb,yb,w,lrn.b,colstr);hold off;
end

