function LRNlinKLR
  C=100;
  xb=[-5 5];
  yb=[-5 5];
  ClassIDs=[1 2];
  
  [X,y]=COMinputmulticlass(xb,yb,ClassIDs);y=2*y-3;
  [klr,BOOLsuccess]=COMkerLRpre(X'*X,C,y);
  plotdata(klr,X,y,'Regularized Logistic Regression',xb,yb);
end


function plotdata(lrn,x,y,titlestr,xb,yb)
  w=x*lrn.alphay;
  msize=abs(lrn.alphay); 
  msize=1+100*msize./max(msize);

  posind=find(y==+1);
  negind=find(y==-1);  
  COMplotplane(xb,yb,w,lrn.b,'w-');
  COMplotplane(xb,yb,w,lrn.b-1,'b--');
  COMplotplane(xb,yb,w,lrn.b+1,'r--');
  scatter(x(1,negind),x(2,negind),msize(negind),'r','filled');
  scatter(x(1,posind),x(2,posind),msize(posind),'b','filled');
  title(titlestr);
  COMinvertfig;hold off;
end

